cURL
curl --request POST \ --url https://api.production.hyperoru.com/api/account \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "account_type": "<string>", "api_key": "<string>", "base_url": "<string>", "initial_capital": 123, "model": "<string>" } '
{ "account_type": "<string>", "current_cash": 123, "frozen_cash": 123, "hyperliquid_enabled": true, "id": 123, "initial_capital": 123, "is_active": true, "name": "<string>", "show_on_dashboard": true, "user_id": 123, "avatar_preset_id": 123, "base_url": "<string>", "default_leverage": 123, "hyperliquid_environment": "<string>", "max_leverage": 123, "model": "<string>" }
Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.
POST /api/users/login
Authorization: Bearer <token>
Create a new account
Was this page helpful?